<?php
namespace Pinpoint\Conesso\Api\Data;

interface ProductSyncInterface
{
    const SCHEMA = 'connesso_product_sync';
    const ID = 'id';
    const PRODUCT_SKU = 'product_sku';
    const EVENT_TYPE = 'event_type';
    const STORE_ID = 'store_id';
    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';
    const IS_SYNCED = 'is_synced';

    public function getId() : int;

    public function setId($id);

    public function getProductSku() : ?string;

    public function setProductSku($sku);

    public function getEventType() : ?string;

    public function setEventType($eventType);

    public function getStoreId() : int;

    public function setStoreId($storeId);

    public function getCreatedAt();

    public function setCreatedAt($createdAt);

    public function getUpdatedAt();

    public function setUpdatedAt($updatedAt);

}
