<?php
namespace Pinpoint\Conesso\Plugin\Order;

use Magento\Sales\Api\Data\OrderInterface;
use Magento\Sales\Api\OrderManagementInterface;
use Pinpoint\Conesso\Model\Api\Orders\LogOrderInterface;

class OrderPlace
{
    private $logOrder;

    public function __construct(
        LogOrderInterface $logOrder
    ) {
        $this->logOrder = $logOrder;
    }
    public function afterPlace(
        OrderManagementInterface $subject,
        OrderInterface $order
    ) {
        try {
            $orderId = $order->getIncrementId();
            $this->logOrder->logOrders($order,LogOrderInterface::EVENT_TYPE_SAVE);
        } catch (\Exception $e) {

        }
        return $order;

    }
}
